Package com.orchestranetworks.dataservices.rest

# Interface Constants.Admin

Enclosing interface:
  Constants

public static interface Constants.Admin
Administration report keys, parameters and operation name.

Since:
  5.8.1
See Also:
  - Administration operations
  - Admin category response

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `CATEGORY`
  Represents the category name used in the URL.
  `static final String`
  `KEY_BOOT_INFO_EBX`
  `static final String`
  `KEY_BOOT_INFO_VM`
  `static final String`
  `KEY_CONTENT`
  `static final String`
  `KEY_CONTENT_NA`
  `static final String`
  `KEY_KEY`
  `static final String`
  `KEY_LABEL`
  `static final String`
  `KEY_REPOSITORY_INFO`
  `static final String`
  `OPERATION_SYSTEM_INFORMATION`
  `static final String`
  `PARAM_SYSTEM_INFORMATION_MODE`
  `static final String`
  `VALUE_SYSTEM_INFO_MODE_FLAT`
  `static final String`
  `VALUE_SYSTEM_INFO_MODE_HIERARCHICAL`

- ## Field Details

  - ### CATEGORY

    static final String CATEGORY
    Represents the category name used in the URL.
    See Also:
      - Administration operations
      - Constant Field Values

  - ### KEY_BOOT_INFO_EBX

    static final String KEY_BOOT_INFO_EBX
    See Also:
      - `bootInfoEBX` JSON property
      - Constant Field Values

  - ### KEY_BOOT_INFO_VM

    static final String KEY_BOOT_INFO_VM
    See Also:
      - `bootInfoVM` JSON property
      - Constant Field Values

  - ### KEY_CONTENT

    static final String KEY_CONTENT
    See Also:
      - `content` JSON property
      - Constant Field Values

  - ### KEY_CONTENT_NA

    static final String KEY_CONTENT_NA
    See Also:
      - `n/a` JSON property
      - Constant Field Values

  - ### KEY_LABEL

    static final String KEY_LABEL
    See Also:
      - `label` JSON property
      - Constant Field Values

  - ### KEY_KEY

    static final String KEY_KEY
    See Also:
      - `key` JSON property
      - Constant Field Values

  - ### KEY_REPOSITORY_INFO

    static final String KEY_REPOSITORY_INFO
    See Also:
      - `repositoryInfo` JSON property
      - Constant Field Values

  - ### PARAM_SYSTEM_INFORMATION_MODE

    static final String PARAM_SYSTEM_INFORMATION_MODE
    See Also:
      - `systemInformationMode` query parameter
      - Constant Field Values

  - ### OPERATION_SYSTEM_INFORMATION

    static final String OPERATION_SYSTEM_INFORMATION
    See Also:
      - System information operation
      - Constant Field Values

  - ### VALUE_SYSTEM_INFO_MODE_FLAT

    static final String VALUE_SYSTEM_INFO_MODE_FLAT
    See Also:
      - `flat` JSON value
      - Constant Field Values

  - ### VALUE_SYSTEM_INFO_MODE_HIERARCHICAL

    static final String VALUE_SYSTEM_INFO_MODE_HIERARCHICAL
    See Also:
      - `hierarchical` JSON value
      - Constant Field Values